Package com.salesforce.hyperdb.grpc

## Enum QueryResultParam.RequestedDataCase

- java.lang.Object
- - java.lang.Enum<QueryResultParam.RequestedDataCase>
  - - com.salesforce.hyperdb.grpc.QueryResultParam.RequestedDataCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<QueryResultParam.RequestedDataCase>`

Enclosing class:
  QueryResultParam

    public static enum QueryResultParam.RequestedDataCase
    extends Enum<QueryResultParam.RequestedDataCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
`CHUNK_ID`
`REQUESTEDDATA_NOT_SET`
`ROW_RANGE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static QueryResultParam.RequestedDataCase` `forNumber​(int value)`
`int` `getNumber()`
`static QueryResultParam.RequestedDataCase` `valueOf​(int value)` Deprecated.
`static QueryResultParam.RequestedDataCase` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static QueryResultParam.RequestedDataCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CHUNK_ID

    public static final QueryResultParam.RequestedDataCase CHUNK_ID

#### ROW_RANGE

    public static final QueryResultParam.RequestedDataCase ROW_RANGE

#### REQUESTEDDATA_NOT_SET

    public static final QueryResultParam.RequestedDataCase REQUESTEDDATA_NOT_SET

### Method Detail

#### values

    public static QueryResultParam.RequestedDataCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryResultParam.RequestedDataCase c : QueryResultParam.RequestedDataCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryResultParam.RequestedDataCase valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static QueryResultParam.RequestedDataCase valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static QueryResultParam.RequestedDataCase forNumber​(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`